<?php

namespace App\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;

use Symfony\Contracts\Translation\TranslatorInterface;

final class DemoController extends AbstractController
{
    #[Route('/demo/index', name: 'app_demo_index')]
    public function index(): Response
    {   
        //https://demo.bootstrapdash.com/azia/src/template/dashboard-one.html
        return $this->render('demo/index.html.twig', []);
    }

    #[Route('/demo/empty', name: 'app_demo_empty')]
    public function empty(): Response
    {   
        $this->addFlash('danger', " <strong>Well done!</strong> You successfully read this important alert message.");
        
        //$this->addFlash('success', $this->translator->trans('conference.success_create_message', array(), 'Admin'));
        return $this->render('demo/empty.html.twig', []);
    }


    #[Route('/demo/chart', name: 'app_demo_chart')]
    public function chart(): Response
    {
        return $this->render('demo/chart.html.twig', []);
    }

    #[Route('/demo/buttons', name: 'app_demo_buttons')]
    public function buttons(): Response
    {
        return $this->render('demo/buttons.html.twig', []);
    }
    
    #[Route('/demo/dropdown', name: 'app_demo_dropdown')]
    public function dropdown(): Response
    {
        return $this->render('demo/dropdown.html.twig', []);
    }
    
    
    #[Route('/demo/icons', name: 'app_demo_icons')]
    public function icons(): Response
    {
        return $this->render('demo/icons.html.twig', []);
    }

    
    #[Route('/demo/elements', name: 'app_demo_elements')]
    public function elements(): Response
    {
        return $this->render('demo/elements.html.twig', []);
    }

    #[Route('/demo/signin', name: 'app_demo_signin')]
    public function signin(): Response
    {
        return $this->render('demo/signin.html.twig', []);
    }

    #[Route('/demo/signup', name: 'app_demo_signup')]
    public function signup(): Response
    {
        return $this->render('demo/signup.html.twig', []);
    }
    
    #[Route('/demo/table', name: 'app_demo_table')]
    public function table(): Response
    {
        return $this->render('demo/table.html.twig', []);
    }
    
}
